Page MenuHomePhabricator

upgrade: update only requirements if we can
ClosedPublic

Authored by pulkit on Jan 14 2021, 7:54 AM.

Details

Summary

Upgrade operations which involves just upgrading requirements earlier used to go
through whole revlog cloning business.
Now we just upgrade the requirement and skip the cloning part.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Jan 14 2021, 7:54 AM
mharbison72 accepted this revision.Jan 18 2021, 9:23 PM
This revision is now accepted and ready to land.Jan 18 2021, 9:23 PM
baymax updated this revision to Diff 25203.Jan 21 2021, 9:28 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was automatically updated to reflect the committed changes.